<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>BuildingGroup</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects, class: BuildingGroup">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":10,"i2":9,"i3":9,"i4":10,"i5":10,"i6":10,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/BuildingGroup.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects</a></div>
<h1 title="Class BuildingGroup" class="title">Class BuildingGroup</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance"><a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.Building</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.BuildingGroup</div>
</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">BuildingGroup</span>
extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#entrances">entrances</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lBuilding">lBuilding</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#name">name</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#name2">name2</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#name3">name3</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.Building">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></h3>
<code><a href="Building.html#areaHousingLot">areaHousingLot</a>, <a href="Building.html#bGeom">bGeom</a>, <a href="Building.html#floorArea">floorArea</a>, <a href="Building.html#functionalRatio">functionalRatio</a>, <a href="Building.html#nbHousing">nbHousing</a>, <a href="Building.html#nbPOI">nbPOI</a>, <a href="Building.html#nbWorkingPlace">nbWorkingPlace</a>, <a href="Building.html#roomLeft">roomLeft</a></code></div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#DEBUG">DEBUG</a>, <a href="ICIObject.html#ID">ID</a>, <a href="ICIObject.html#rdGen">rdGen</a>, <a href="ICIObject.html#type">type</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(fr.ici.dataImporter.iciObjects.BuildingSimple,fr.ici.dataImporter.iciObjects.Address,boolean)">BuildingGroup</a></span>&#8203;(<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&nbsp;add,
boolean&nbsp;entrance)</code></th>
<td class="col-last">
<div class="block">Create Building Group with an initial building</div>
</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,float,org.locationtech.jts.geom.MultiPolygon)">BuildingGroup</a></span>&#8203;(java.lang.String&nbsp;id,
float&nbsp;floorArea,
java.lang.String&nbsp;name,
java.lang.String&nbsp;name2,
java.lang.String&nbsp;name3,
int&nbsp;nbHousing,
int&nbsp;nbPOI,
int&nbsp;nbWorkingPlace,
java.util.List&lt;java.lang.Integer&gt;&nbsp;areaHousingLot,
float&nbsp;roomLeft,
org.locationtech.jts.geom.MultiPolygon&nbsp;geom)</code></th>
<td class="col-last">
<div class="block">Building Group constructor for importing an exported Building Group</div>
</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.util.List,fr.ici.dataImporter.iciObjects.Address,boolean)">BuildingGroup</a></span>&#8203;(java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&nbsp;add,
boolean&nbsp;entrance)</code></th>
<td class="col-last">
<div class="block">Create a new Building Group from multiple buildings.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectHousingToBG(java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">affectHousingToBG</a></span>&#8203;(java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;&nbsp;lB,
java.io.File&nbsp;inseeLogementStat,
java.io.File&nbsp;apurPOI,
java.io.File&nbsp;workingPlacesFile,
java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">
<div class="block">Affect an housing repartition for every #buildingGroup and recalculate roomLeft once housing have been affected.</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectName(fr.ici.dataImporter.iciObjects.Address)">affectName</a></span>&#8203;(<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&nbsp;add)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportBuildingGroup(java.util.List,java.io.File)">exportBuildingGroup</a></span>&#8203;(java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBG,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">
<div class="block">Export a list of building group to a geo file</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)">generateBuildingGroup</a></span>&#8203;(java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAdd,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisSFC)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateSimpleFeature()">generateSimpleFeature</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getName()">getName</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSFB()">getSFB</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuildingGroup(java.io.File)">importBuildingGroup</a></span>&#8203;(java.io.File&nbsp;buildingGroupICI)</code></th>
<td class="col-last">
<div class="block">Import already exported ICI's BuildingGroup.</div>
</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuildingGroup(java.io.File,boolean,java.util.List)">importBuildingGroup</a></span>&#8203;(java.io.File&nbsp;buildingGroupICI,
boolean&nbsp;regenerateEntrance,
java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;addresses)</code></th>
<td class="col-last">
<div class="block">Import already exported ICI's BuildingGroup.</div>
</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuildingGroup(java.io.File,java.io.File,java.io.File)">importBuildingGroup</a></span>&#8203;(java.io.File&nbsp;irisHousingFile,
java.io.File&nbsp;bdTopoBuildingFile,
java.io.File&nbsp;addressFile)</code></th>
<td class="col-last">
<div class="block">Generate new BuildingGroup from sources.</div>
</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>static java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importBuildingGroup(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">importBuildingGroup</a></span>&#8203;(java.io.File&nbsp;irisHousingFile,
java.io.File&nbsp;bdTopoBuildingFile,
java.io.File&nbsp;addressFile,
java.io.File&nbsp;apurFile,
java.io.File&nbsp;workingPlaceFile,
java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">
<div class="block">Generate new BuildingGroup from sources and generate housing.</div>
</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#toString()">toString</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.Building">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a></h3>
<code><a href="Building.html#computeRoomLeft()">computeRoomLeft</a>, <a href="Building.html#exportList(java.util.List,java.io.File)">exportList</a>, <a href="Building.html#generateListDistribHousing(org.opengis.feature.simple.SimpleFeature)">generateListDistribHousing</a>, <a href="Building.html#getAreaHousingLot()">getAreaHousingLot</a>, <a href="Building.html#getClosestBuilding(java.util.List,org.locationtech.jts.geom.Point,float)">getClosestBuilding</a>, <a href="Building.html#getFloorArea()">getFloorArea</a>, <a href="Building.html#getFunctionalRatio()">getFunctionalRatio</a>, <a href="Building.html#getGeomBuilding()">getGeomBuilding</a>, <a href="Building.html#getNbHousing()">getNbHousing</a>, <a href="Building.html#getRoomLeft()">getRoomLeft</a>, <a href="Building.html#importBuilding(java.io.File)">importBuilding</a>, <a href="Building.html#selectIntersectMost(java.util.List,org.locationtech.jts.geom.Geometry)">selectIntersectMost</a>, <a href="Building.html#setAreaHousingLot(java.util.List)">setAreaHousingLot</a>, <a href="Building.html#setFunctionalRatio(float)">setFunctionalRatio</a>, <a href="Building.html#setNbPOI(int)">setNbPOI</a>, <a href="Building.html#setNbWorkingPlace(int)">setNbWorkingPlace</a>, <a href="Building.html#sortListBuildingWithRatioHousingPerSurface(java.util.List)">sortListBuildingWithRatioHousingPerSurface</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="ICIObject.html#getID()">getID</a>, <a href="ICIObject.html#getType()">getType</a>, <a href="ICIObject.html#hashCode()">hashCode</a>, <a href="ICIObject.html#setRdGen(java.util.Random)">setRdGen</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="lBuilding">
<h3>lBuilding</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;</span>&nbsp;<span class="member-name">lBuilding</span></div>
</section>
</li>
<li>
<section class="detail" id="entrances">
<h3>entrances</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;</span>&nbsp;<span class="member-name">entrances</span></div>
</section>
</li>
<li>
<section class="detail" id="name">
<h3>name</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">name</span></div>
</section>
</li>
<li>
<section class="detail" id="name2">
<h3>name2</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">name2</span></div>
</section>
</li>
<li>
<section class="detail" id="name3">
<h3>name3</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">name3</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(fr.ici.dataImporter.iciObjects.BuildingSimple,fr.ici.dataImporter.iciObjects.Address,boolean)">
<h3>BuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">BuildingGroup</span>&#8203;(<span class="parameters"><a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&nbsp;building,
<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&nbsp;add,
boolean&nbsp;entrance)</span></div>
<div class="block">Create Building Group with an initial building</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>building</code> - first #BuildingSimple.</dd>
<dd><code>add</code> - can be of many types. If an entrance, will be store as the main entrance and give the name to the building group. If another type (such as parcel), will only give the name.</dd>
<dd><code>entrance</code> - specify if the address is an entrance or not.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.util.List,fr.ici.dataImporter.iciObjects.Address,boolean)">
<h3>BuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">BuildingGroup</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&nbsp;add,
boolean&nbsp;entrance)</span></div>
<div class="block">Create a new Building Group from multiple buildings.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lBuilding</code> - list of #BuildingSimple</dd>
<dd><code>add</code> - can be of many types. If an entrance, will be store as the main entrance and give the name to the building group. If another type (such as parcel), will only give the name.</dd>
<dd><code>entrance</code> - specify if the address is an entrance or not.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,float,org.locationtech.jts.geom.MultiPolygon)">
<h3>BuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">BuildingGroup</span>&#8203;(<span class="parameters">java.lang.String&nbsp;id,
float&nbsp;floorArea,
java.lang.String&nbsp;name,
java.lang.String&nbsp;name2,
java.lang.String&nbsp;name3,
int&nbsp;nbHousing,
int&nbsp;nbPOI,
int&nbsp;nbWorkingPlace,
java.util.List&lt;java.lang.Integer&gt;&nbsp;areaHousingLot,
float&nbsp;roomLeft,
org.locationtech.jts.geom.MultiPolygon&nbsp;geom)</span></div>
<div class="block">Building Group constructor for importing an exported Building Group</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="main(java.lang.String[])">
<h3>main</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">main</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;args)</span>
                 throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectHousingToBG(java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">
<h3>affectHousingToBG</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</span>&nbsp;<span class="member-name">affectHousingToBG</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;&nbsp;lB,
java.io.File&nbsp;inseeLogementStat,
java.io.File&nbsp;apurPOI,
java.io.File&nbsp;workingPlacesFile,
java.io.File&nbsp;poiFile)</span>
                                                       throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Affect an housing repartition for every #buildingGroup and recalculate roomLeft once housing have been affected.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lB</code> - list of building group to put housing into</dd>
<dd><code>inseeLogementStat</code> - geoFile with IRIS linked to housing statistics</dd>
<dd><code>apurPOI</code> - geoFile containing manualy referenced data about shops from APUR</dd>
<dd><code>workingPlacesFile</code> - geoFile containing #WorkingPlace (optional)</dd>
<dd><code>poiFile</code> - geoFile containing #POI (optional)</dd>
<dt>Returns:</dt>
<dd>a list of building containing a list of housing area as attribute</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading geoFiles</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateBuildingGroup(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)">
<h3>generateBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</span>&nbsp;<span class="member-name">generateBuildingGroup</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;lAdd,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisSFC)</span></div>
</section>
</li>
<li>
<section class="detail" id="exportBuildingGroup(java.util.List,java.io.File)">
<h3>exportBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">exportBuildingGroup</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBG,
java.io.File&nbsp;fileOut)</span>
                                        throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Export a list of building group to a geo file</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lBG</code> - list</dd>
<dd><code>fileOut</code> - file to write</dd>
<dt>Returns:</dt>
<dd>the wrote file</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - writing file</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingGroup(java.io.File,java.io.File,java.io.File)">
<h3>importBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</span>&nbsp;<span class="member-name">importBuildingGroup</span>&#8203;(<span class="parameters">java.io.File&nbsp;irisHousingFile,
java.io.File&nbsp;bdTopoBuildingFile,
java.io.File&nbsp;addressFile)</span>
                                                         throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Generate new BuildingGroup from sources. No housing is generated</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>list of building group</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingGroup(java.io.File,java.io.File,java.io.File,java.io.File,java.io.File,java.io.File)">
<h3>importBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</span>&nbsp;<span class="member-name">importBuildingGroup</span>&#8203;(<span class="parameters">java.io.File&nbsp;irisHousingFile,
java.io.File&nbsp;bdTopoBuildingFile,
java.io.File&nbsp;addressFile,
java.io.File&nbsp;apurFile,
java.io.File&nbsp;workingPlaceFile,
java.io.File&nbsp;poiFile)</span>
                                                         throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Generate new BuildingGroup from sources and generate housing.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>list of building group</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingGroup(java.io.File)">
<h3>importBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</span>&nbsp;<span class="member-name">importBuildingGroup</span>&#8203;(<span class="parameters">java.io.File&nbsp;buildingGroupICI)</span>
                                                         throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import already exported ICI's BuildingGroup.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingGroupICI</code> - geofile of exported building group</dd>
<dt>Returns:</dt>
<dd>list of building group</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading geofile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importBuildingGroup(java.io.File,boolean,java.util.List)">
<h3>importBuildingGroup</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="BuildingGroup.html" title="class in fr.ici.dataImporter.iciObjects">BuildingGroup</a>&gt;</span>&nbsp;<span class="member-name">importBuildingGroup</span>&#8203;(<span class="parameters">java.io.File&nbsp;buildingGroupICI,
boolean&nbsp;regenerateEntrance,
java.util.List&lt;<a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&gt;&nbsp;addresses)</span>
                                                         throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import already exported ICI's BuildingGroup.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>buildingGroupICI</code> - geofile of exported building group</dd>
<dd><code>regenerateEntrance</code> - </dd>
<dd><code>addresses</code> - </dd>
<dt>Returns:</dt>
<dd>list of building group</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading geofile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="toString()">
<h3>toString</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">toString</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="ICIObject.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getName()">
<h3>getName</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getName</span>()</div>
</section>
</li>
<li>
<section class="detail" id="affectName(fr.ici.dataImporter.iciObjects.Address)">
<h3>affectName</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">affectName</span>&#8203;(<span class="parameters"><a href="Address.html" title="class in fr.ici.dataImporter.iciObjects">Address</a>&nbsp;add)</span></div>
</section>
</li>
<li>
<section class="detail" id="generateSimpleFeature()">
<h3>generateSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateSimpleFeature</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#generateSimpleFeature()">generateSimpleFeature</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getSFB()">
<h3>getSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSFB</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#getSFB()">getSFB</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/BuildingGroup.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
